
Core - Bug # 57495

Status: Resolved Priority: Should have
Author: Markus Klein Category: File Abstraction Layer (FAL)
Created: 2014-04-01 Assigned To: Markus Klein
Updated: 2014-04-02 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: Metadata db insert fails due to NULL value
Description

The MetaDataRepository::createMetaDataRecord() function checks the TYPO3_MODE to decide the value of the cruser_id field.
When this is executed in the Install Tool Standalone context the TYPO3_MODE is BE, but no BE_USER is available.
So this results in NULL being assigned for the cruser_id field.

A subsequent database insert fails because of the column being defined as NOT NULL.

This leads to the problem that no metadata records are created for migrated files and the subsequent upgrader adds empty metadata
records, lacking the width/height information.

Related issues:
related to Core - Bug # 46020: Image size is 0 when not scaled Closed 2013-03-04

Associated revisions
Revision 38f484e0 - 2014-04-02 12:18 - Markus Klein

[BUGFIX] FAL: Prevent invalid NULL value on metadata creation

The cruser_id field is now guaranteed to be an integer.
This patch checks if a BE_USER is available and uses zero
otherwise.

Resolves: #57495
Related: #46020
Releases: 6.2
Change-Id: I8260604eb30ca32d2a5e079fa6f5b10a6d04714e
Reviewed-on: https://review.typo3.org/29028
Reviewed-by: Nicole Cordes
Reviewed-by: Jigal van Hemert
Reviewed-by: Frans Saris
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-04-01 16:12 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#2 - 2014-04-01 16:14 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#3 - 2014-04-01 16:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#4 - 2014-04-01 16:33 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#5 - 2014-04-01 17:14 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#6 - 2014-04-01 17:23 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29028

#7 - 2014-04-02 12:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:38f484e0efc0b817c34c7e9bb9c6cfe721dd8e87.
